Package org.eclipse.rdf4j.repository

## Class TupleQueryResultTest

- java.lang.Object
- - org.eclipse.rdf4j.repository.TupleQueryResultTest

-     public abstract class TupleQueryResultTest
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TupleQueryResultTest()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Repository` | `createRepository()` |
    `protected abstract Repository` | `newRepository()` |
    `void` | `setUp()` |
    `static void` | `setUpClass()` |
    `void` | `tearDown()` |
    `void` | `testCountMatchesAllSelect()` |
    `void` | `testGetBindingNames()` |
    `void` | `testIsEmpty()` |
    `void` | `testIterator()` |
    `void` | `testNotClosingResult()` |
    `void` | `testStreaming()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TupleQueryResultTest

          public TupleQueryResultTest()

  - ### Method Detail

    - #### setUpClass

          public static void setUpClass()
                                 throws Exception

      Throws:
        `Exception`

    - #### setUp

          public void setUp()
                     throws Exception

      Throws:
        `Exception`

    - #### tearDown

          public void tearDown()
                        throws Exception

      Throws:
        `Exception`

    - #### createRepository

          protected Repository createRepository()
                                         throws Exception

      Throws:
        `Exception`

    - #### newRepository

          protected abstract Repository newRepository()
                                               throws Exception

      Throws:
        `Exception`

    - #### testGetBindingNames

          public void testGetBindingNames()
                                   throws Exception

      Throws:
        `Exception`

    - #### testIterator

          public void testIterator()
                            throws Exception

      Throws:
        `Exception`

    - #### testIsEmpty

          public void testIsEmpty()
                           throws Exception

      Throws:
        `Exception`

    - #### testCountMatchesAllSelect

          public void testCountMatchesAllSelect()
                                         throws Exception

      Throws:
        `Exception`

    - #### testStreaming

          public void testStreaming()
                             throws Exception

      Throws:
        `Exception`

    - #### testNotClosingResult

          public void testNotClosingResult()